package com.zjyr.beidouservice;

import com.zjyr.beidouservice.service.BaidouAdapterService;
import jakarta.annotation.Resource;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * The type Baidou service application.
 */
@SpringBootApplication
@MapperScan(basePackages = {"com.zjyr.beidouservice.mapper"})
public class BaidouServiceApplication implements ApplicationRunner {
    /**
     * The Baidou adapter service.
     */
    @Resource
    private BaidouAdapterService baidouAdapterService;

    /**
     * The entry point of application.
     *
     * @param args the input arguments
     */
    public static void main(String[] args) {
        SpringApplication.run(BaidouServiceApplication.class, args);
    }

    @Override
    public void run(ApplicationArguments args) throws Exception {
        baidouAdapterService.startBeidouAdapter();
    }
}
