package com.zjyr.beidouservice.adapter.impl.netty.encode;

import com.zjyr.beidouservice.pojo.vo.binary.BaseBinaryProtocol;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.LengthFieldPrepender;
import lombok.extern.slf4j.Slf4j;

import java.util.List;


/**
 * The type Protocol start encode.
 */
@Slf4j
public class ProtocolStartEncode extends LengthFieldPrepender {
    /**
     * Instantiates a new Protocol start encode.
     *
     * @param lengthFieldLength the length field length
     */
    public ProtocolStartEncode(int lengthFieldLength) {
        super(lengthFieldLength);
    }

    @Override
    protected void encode(ChannelHandlerContext ctx, ByteBuf msg, List<Object> out) throws Exception {
        out.add(ctx.alloc().buffer(BaseBinaryProtocol.START.length()).writeBytes(BaseBinaryProtocol.START.getBytes()));
        super.encode(ctx, msg, out);
    }
}
