package com.zjyr.beidouservice.adapter.impl.netty.notify;

import com.zjyr.beidouservice.common.impl.SocketEventName;
import io.netty.channel.Channel;
import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

/**
 * The type Socket notify event.
 */
@Setter
@Getter
public class SocketNotifyEvent extends ApplicationEvent {
    private int             taskId;
    /**
     * The Evt message.
     */
    private Object          evtMessage;
    /**
     * The Socket event.
     */
    private SocketEventName socketEvent;
    /**
     * The Ctx channel.
     */
    private Channel         ctxChannel;

    /**
     * Instantiates a new Socket notify event.
     *
     * @param source     the source
     * @param ctx        the ctx
     * @param evtType    the evt type
     * @param evtMessage the evt message
     */
    public SocketNotifyEvent(Object source, Channel ctx, int taskId, SocketEventName evtType, Object evtMessage) {
        super(source);
        this.socketEvent = evtType;
        this.evtMessage  = evtMessage;
        this.ctxChannel  = ctx;
        this.taskId      = taskId;
    }

    public SocketNotifyEvent(Object source, Channel ctx, SocketEventName evtType, Object evtMessage) {
        super(source);
        this.socketEvent = evtType;
        this.evtMessage  = evtMessage;
        this.ctxChannel  = ctx;
        this.taskId      = 0;
    }
}
