package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

/**
 * The enum Beidou adapter type name.
 */
public enum BeidouAdapterTypeName implements EnumerationBase {
    /**
     * Adapter socket tcp beidou adapter type name.
     */
    ADAPTER_SOCKET_TCP(0, "ADAPTER_SOCKET_TCP"),

    /**
     * Adapter socket udp beidou adapter type name.
     */
    ADAPTER_SOCKET_UDP(1, "DEVICE_SOCKET_UDP"),
    ;

    /**
     * The Code.
     */
    private final Integer code;
    /**
     * The Desc.
     */
    private final String  desc;

    /**
     * Instantiates a new Beidou adapter type name.
     *
     * @param val  the val
     * @param desc the desc
     */
    BeidouAdapterTypeName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
