package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

/**
 * The enum Control command name.
 */
public enum ControlCommandName implements EnumerationBase {

    /**
     * Command heart control command name.
     */
    COMMAND_HEART(0x08, "COMMAND_HEART"),
    /**
     * Command report heart control command name.
     */
    COMMAND_REPORT_HEART(0x09, "COMMAND_REPORT_HEART"),

    /**
     * Command sensor control command name.
     */
    COMMAND_SENSOR(0x10, "COMMAND_SENSOR"),
    /**
     * Command report sensor control command name.
     */
    COMMAND_REPORT_SENSOR(0x11, "COMMAND_REPORT_SENSOR"),

    /**
     * Command query sensor control command name.
     */
    COMMAND_QUERY_SENSOR(0x12, "COMMAND_QUERY_SENSOR"),

    /**
     * Command report query sensor control command name.
     */
    COMMAND_REPORT_QUERY_SENSOR(0x13, "COMMAND_REPORT_QUERY_SENSOR"),
    ;

    /**
     * The Code.
     */
    private final Integer code;
    /**
     * The Desc.
     */
    private final String  desc;

    /**
     * Instantiates a new Control command name.
     *
     * @param val  the val
     * @param desc the desc
     */
    ControlCommandName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
