package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

/**
 * The enum Sensor control mode name.
 */
public enum SensorControlModeName implements EnumerationBase {

    /**
     * Control type quiet sensor control mode name.
     */
    CONTROL_TYPE_QUIET(0, "CONTROL_TYPE_QUIET"),

    /**
     * Control type loud sensor control mode name.
     */
    CONTROL_TYPE_LOUD(1, "CONTROL_TYPE_LOUD"),
    ;

    /**
     * The Code.
     */
    private final Integer code;
    /**
     * The Desc.
     */
    private final String  desc;

    /**
     * Instantiates a new Sensor control mode name.
     *
     * @param val  the val
     * @param desc the desc
     */
    SensorControlModeName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
