package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

/**
 * The enum Sensor control tunnel name.
 */
public enum SensorControlTunnelName implements EnumerationBase {
    /**
     * The Tunnel beidou.
     */
    TUNNEL_BEIDOU(1, "BeiDou tunnel"),

    /**
     * The Tunnel wireless.
     */
    TUNNEL_WIRELESS(2, "Wireless tunnel"),

    /**
     * The Tunnel tel.
     */
    TUNNEL_TEL(4, "Telephone tunnel"),
    ;

    /**
     * The Code.
     */
    private final Integer code;
    /**
     * The Desc.
     */
    private final String  desc;

    /**
     * Instantiates a new Sensor control tunnel name.
     *
     * @param val  the val
     * @param desc the desc
     */
    SensorControlTunnelName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
