package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

/**
 * The enum Socket event name.
 */
public enum SocketEventName implements EnumerationBase {
    /**
     * Socket evt connect socket event name.
     */
    SOCKET_EVT_CONNECT(0, "SOCKET_EVT_CONNECT"),

    /**
     * Socket evt disconnect socket event name.
     */
    SOCKET_EVT_DISCONNECT(1, "SOCKET_EVT_DISCONNECT"),

    /**
     * Socket evt recv socket event name.
     */
    SOCKET_EVT_RECV(2, "SOCKET_EVT_DISCONNECT"),

    /**
     * Socket evt idle timeout socket event name.
     */
    SOCKET_EVT_IDLE_TIMEOUT(3, "SOCKET_EVT_IDLE_TIMEOUT"),
    ;

    /**
     * The Code.
     */
    private final Integer code;
    /**
     * The Desc.
     */
    private final String  desc;

    /**
     * Instantiates a new Socket event name.
     *
     * @param val  the val
     * @param desc the desc
     */
    SocketEventName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
