package com.zjyr.beidouservice.config;

import jakarta.annotation.PostConstruct;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * The type Netty socket configure.
 */
@Data
@ConfigurationProperties(prefix = "socket")
@Configuration
@Slf4j
public class NettySocketConfigure {
    /**
     * The Server host.
     */
    private String  serverHost;
    /**
     * The Server port.
     */
    private Integer serverPort;
    /**
     * The Server mode.
     */
    private String  serverMode;

    private Integer heartTimeout;

    /**
     * Init global value.
     */
    @PostConstruct
    private void initGlobalValue() {
        log.debug("{}", serverHost);
    }
}
