package com.zjyr.beidouservice.constenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 命令执行状态类型
 */
@Getter
@AllArgsConstructor
public enum ExecStatusEnum {

    /**
     * 执行中
     */
    EXEC_PENDING(0, "执行中"),
    /**
     * 电动警报
     */
    EXEC_SUCCESS(1, "执行成功"),
    /**
     * 电动警报
     */
    EXEC_FAIL(2, "执行失败"),
    ;

    private final Integer code;

    private final String msg;

    public static String getByCode(Integer code) {
        ExecStatusEnum[] values = ExecStatusEnum.values();
        for (ExecStatusEnum v : values) {
            if (code.equals(v.getCode())) {
                return v.getMsg();
            }
        }
        return null;
    }
}
