package com.zjyr.beidouservice.controller;

import com.zjyr.beidouservice.common.impl.SensorControlModeName;
import com.zjyr.beidouservice.common.impl.SensorControlTunnelName;
import com.zjyr.beidouservice.pojo.dto.BaseProtocolDTO;
import com.zjyr.beidouservice.pojo.dto.GetUserConfig;
import com.zjyr.beidouservice.pojo.po.BeidouAdapterControlContent;
import com.zjyr.beidouservice.pojo.vo.binary.SensorControlProtocol;
import com.zjyr.beidouservice.service.AdapterProtocolService;
import com.zjyr.beidouservice.service.BaidouAdapterService;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.HttpHeaders;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.ArrayList;
import java.util.List;

/**
 * The type Auth user.
 */
@Controller
//@RequestMapping(value = "/auth")
@Slf4j
public class AuthUser {
    @Resource
    BaidouAdapterService baidouAdapterService;

    @Resource
    AdapterProtocolService adapterProtocolService;

    /**
     * Third string.
     *
     * @param name the name
     * @param age  the age
     * @return the string
     */
    @GetMapping("third")
    @ResponseBody
    public String third(String name, Integer age) {
        log.info("User " + name + ", Age: " + age);
        return "success";
    }

    /**
     * Gets user config.
     *
     * @param mr      the mr
     * @param headers the headers
     * @return the user config
     */
    @PostMapping("/sensor/control")
    @ResponseBody
    public String getUserConfig(@RequestBody BaseProtocolDTO<GetUserConfig> mr, @RequestHeader HttpHeaders headers) {
        List<BeidouAdapterControlContent> adapterInfo = new ArrayList<>();

        for (int i = 0; i < 2; i++) {
//            adapterInfo.add(BeidouAdapterControlContent.builder()
//                                                       .districtsCode(0x10 + i)
//                                                       .sensorId(0x3f00 + i)
//                                                       .controlAction(SensorControlActionName.ACTION_DISTRICTS_BASED)
//                                                       .build());
        }

        SensorControlProtocol sp =
                adapterProtocolService.createSensorControlProtocol(SensorControlTunnelName.TUNNEL_BEIDOU,
                                                                                      new byte[]{0x01, 0x02, 0x03},
                                                                                      8,
                                                                                      14,
                                                                                      20,
                                                                                      35,
                                                                                      3,
                                                                                      5,
                                                                                      SensorControlModeName.CONTROL_TYPE_QUIET,
                                                                                      0,
                                                                                      adapterProtocolService.createSensorCtrlInfo(
                                                                                              adapterInfo));
        Long id = baidouAdapterService.getAllAdapter().get(0).getId();
        if (id != null) {
            baidouAdapterService.sendCommond(id, sp);
        }

        return "{\"result\": 0}";
    }

    /**
     * Gets server config.
     *
     * @param mr      the mr
     * @param headers the headers
     * @return the server config
     */
    @PostMapping("/getserverconfig")
    @ResponseBody
    public String getServerConfig(@RequestBody BaseProtocolDTO<GetUserConfig> mr, @RequestHeader HttpHeaders headers) {
        return """
               {
                 "ver": 1,
                 "cryptoType": 0,
                 "timeStamp": 1688954003,
                 "code": 0,
                 "msgContent": {
                   "svrListenPort": 10001,
                   "svrPrivateKey": "2HyQfL2Na76JuI68ozEMK0LA6coV98GjMW6aZG6AnEA=",
                   "svrAddress": "10.10.10.2/24"
                 }
               }""";
    }
}
