package com.zjyr.beidouservice.pojo.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeviceTaskRespDTO {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 任务id，前端界面的记录编号，可以按照规则添加前缀名
     */
    private String taskId;

    /**
     * 记录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date recodeTime;

    /**
     * 执行设备数量
     */
    private Integer deviceNum;

    /**
     * 执行正常设备数量
     */
    private Integer execNormalNum;

    /**
     * 执行异常设备数量
     */
    private Integer execAbnormalNum;

    /**
     * 回市率 回示率通常用于描述在特定时间段内对特定请求或行动的响应数量与总请求数量之间的比率
     */
    private Double respRate;

    /**
     * 任务详细信息
     */
    private List<DeviceTaskContentDTO> data;

}
