package com.zjyr.beidouservice.pojo.entry;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.zjyr.beidouservice.common.impl.BeidouAdapterTypeName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import tk.mybatis.mapper.annotation.KeySql;
import tk.mybatis.mapper.annotation.NameStyle;
import tk.mybatis.mapper.code.Style;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * The type Control device.
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder(alphabetic = true)
@Table(name = "control_device")
@NameStyle(Style.normal)
public class ControlDevice {
    /**
     * The Id.
     */
    @Id
    @KeySql(useGeneratedKeys = true)
    private Long id;
    /**
     * The Device type.
     */
    private BeidouAdapterTypeName deviceType;
    /**
     * The Device addr.
     */
    private String deviceAddr;

    private Integer sendEnabled;

    private Integer beidouStatus;

    private String beidouChannelStatus;

    /**
     * The Beidou signal strength.
     */
    private String beidouSignalStrength;
    /**
     * The Wireless status.
     */
    private Integer wirelessStatus;
    /**
     * The Telphone status.
     */
    private Integer telphoneStatus;
}
