package com.zjyr.beidouservice.pojo.vo.binary;

import lombok.Builder;
import lombok.Data;

/**
 * The type Base binary protocol.
 *
 * @param <T> the type parameter
 */
@Data
@Builder
public class BaseBinaryProtocol<T> {

    /**
     * The constant VERSIN.
     */
    public static int VERSIN = 1;

    /**
     * The Min len.
     */
    public static int    MIN_LEN = 39;
    /**
     * The Max len.
     */
    public static int    MAX_LEN = 1400;
    /**
     * The constant START.
     */
    public static String START   = "START!@#";

    /**
     * The Msg length.
     */
    private short msgLength;

    /**
     * The Version.
     */
    private byte version;

    private int commandId;

    /**
     * The Crypto type.
     */
    private byte cryptoType;

    /**
     * The Time stamp.
     */
    private int timeStamp;

    /**
     * The Status code.
     */
    private int statusCode;

    /**
     * The Msg content.
     */
    private MessageContent<T> msgContent;
}
