package com.zjyr.beidouservice.service;

import com.zjyr.beidouservice.common.impl.SensorControlModeName;
import com.zjyr.beidouservice.common.impl.SensorControlTunnelName;
import com.zjyr.beidouservice.pojo.po.BeidouAdapterControlContent;
import com.zjyr.beidouservice.pojo.vo.binary.HeartProtocol;
import com.zjyr.beidouservice.pojo.vo.binary.QuerySensorProtocol;
import com.zjyr.beidouservice.pojo.vo.binary.SensorControlProtocol;
import com.zjyr.beidouservice.pojo.vo.binary.SensorControllContent;

import java.util.List;

public interface AdapterProtocolService {
    HeartProtocol createHeartProtocol();

    List<SensorControllContent> createSensorCtrlInfo(List<BeidouAdapterControlContent> ctxList);

    SensorControlProtocol createSensorControlProtocol(SensorControlTunnelName tunnelName,
                                                      byte[] tunnelAddr,
                                                      Integer month,
                                                      Integer days,
                                                      Integer hour,
                                                      Integer minute,
                                                      Integer province,
                                                      Integer city,
                                                      SensorControlModeName ctrlMode,
                                                      Integer ctrlCmd,
                                                      List<SensorControllContent> ctrlItems);

    QuerySensorProtocol createSensorQueryProtocol(Integer province,
                                                  Integer city,
                                                  List<SensorControllContent> ctrlItems);

    <T> Object createTransmissionProtocol(T proContent);
}
