package com.zjyr.beidouservice.service;

import com.zjyr.beidouservice.pojo.dto.city.CityRespDTO;
import com.zjyr.beidouservice.pojo.dto.city.CitySearchDTO;
import com.zjyr.beidouservice.pojo.dto.province.OnlyProvinceResp;
import com.zjyr.beidouservice.pojo.dto.province.ProvinceSearchDTO;
import com.zjyr.beidouservice.pojo.dto.province.ProvinceRespDTO;


import java.util.List;

public interface LocationService {
    /**
     * 获取省份信息
     *
     * @return 省份信息
     */
    OnlyProvinceResp getOnlyProvinces();

    /**
     * 获取省份信息
     *
     * @return ProvinceRespDTO
     */
    ProvinceRespDTO getProvinces(ProvinceSearchDTO provinceSearchDTO);


    /**
     * 获取地市信息
     *
     * @return CityRespDTO
     */
    CityRespDTO getCity(CitySearchDTO citySearchDTO);


}
